Bug 149261 - gfs_fsck: Check that a device has been passed in
gfs_fsck: Check that a device has been passed in
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: AJ Lewis
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-21 14:08 EST by Derek Anderson
Modified: 2010-01-11 22:03 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 14:02:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2005-02-21 14:08:42 EST
Description of problem:

If the command is run by itself (no block device provided) catch this
and print usage.

[root@link-08 ~]# gfs_fsck
Initializing fsck
Unable to open device: (null)

Version-Release number of selected component (if applicable):
GFS fsck 6.1-0.pre14 (built Feb 17 2005 11:54:20)

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 AJ Lewis 2005-02-22 17:06:52 EST
Check added - should be in next release.
Comment 2 Derek Anderson 2005-03-01 14:02:08 EST
Verified in GFS fsck 6.1-0.pre17 (built Feb 28 2005 11:34:01)

[root@link-08 /]# gfs_fsck
No device specified.  Use '-h' for usage.
[root@link-08 /]# echo $?
1

Note You need to log in before you can comment on or make changes to this bug.